#!/bin/sh

#############################################
# Add mDNS services for VX-11/LXI incl.     #
# httpd for identification file             #
#############################################
echo "Adding mDNS support"
tar -xvzf mDNS/AP_avahi-daemon.tgz -C /

cp mDNS/AP_generateAvahiServices /usr/sbin/AP_generateAvahiServices
chmod 777 /usr/sbin/AP_generateAvahiServices

ln -s /etc/init.d/httpd /etc/rc5.d/S57httpd
ln -s /etc/init.d/avahi-daemon /etc/rc5.d/S58avahi-daemon

if [ -z "$(grep 'avahi' /etc/passwd)" ]  
then
   echo "avahi:x:500:500:Linux User,,,:/home/avahi:/bin/sh" >> /etc/passwd
   echo "avahi:x:500:" >> /etc/group
fi

cp mDNS/50default /etc/udhcpc.d/50default
cp mDNS/avahi-autoipd.action /etc/avahi/avahi-autoipd.action
cp mDNS/S59network_fix /etc/rc5.d/S59network_fix

mkdir /anapico/temp/www/
mkdir /anapico/dev/www/
mv mDNS/index.html /anapico/dev/www/index.html
mv mDNS/logoAP.png /anapico/dev/www/logoAP.png
mv mDNS/styleAP.css /anapico/dev/www/styleAP.css
mv mDNS/logoBNC.png /anapico/dev/www/logoBNC.png
mv mDNS/styleBNC.css /anapico/dev/www/styleBNC.css
mv mDNS/logoNSI.png /anapico/dev/www/logoNSI.png
mv mDNS/styleNSI.css /anapico/dev/www/styleNSI.css
mv mDNS/logoATTI.png /anapico/dev/www/logoATTI.png
mv mDNS/styleATTI.css /anapico/dev/www/styleATTI.css

mv mDNS/http.service /anapico/dev/http.service

mv fw_info /anapico/dev/fw_info

echo "Added mDNS support"

